sms_client(1)

NAME
sms_client - send messages to mobiles and pagers.

SYNOPSIS
sms_client [-v]
sms_client [-d]
sms_client [-q] [-l loglevel]
           [service:]number|name[,[service:]number|name]
           [message] ...

DESCRIPTION
A simple client implementation for the GSM Short Message Service (SMS) using TAP. Allowing you to send messages to mobile phones and pagers. Several drivers have also been written for providers who use protocols other than TAP. This client dials the Short Message Service centre and passes on your message addressed to the number or name you specified. Any name you use is expanded to the number from either the Local or Global resource files. The Local file is searched first then the Global file. A user can set up his own preferences to overide those set in the Global file. Information regarding the status of the call is displayed, along with the response given by the SMS centre as the message is transmitted. If no message is present, sms_client takes the message from standard input.

OPTIONS

-q  Quiet mode, no output.

-l  All messages output are appended to /var/log/smslog, there are several level of loggin. The default loglevel is STANDARD other loggin levels provided include.

    	1 - ERROR
    	2 - WARNING
    	3 - STANDARD
    	4 - VERBOSE
    	5 - EXTREMELY VERBOSE

-v  Print version information.

-d  Print all driver/protocols currently built into sms_client.

[service:]number|name[,[service:]number|name]
    A name can be used instead of a number, if a name is used it is searched for in the Global and Local resource files and replaced by the number. You can group names and numbers but they must be seperated by a comma and must contain no whitespace. Numbers must be in International format. For UK Numbers remove leading 0 and add 44 prefix. If a number is prefixed with service: then that service is used in preference to the default service.

[message]...
    A Quoted message that you want to send. If this is absent the message is read from stdin. The maximum length of the message is currently set to a limit of 150 characters, if your message exceeds this length you will be notified with an error message.

RETURN VALUES
On Success the return value is set to zero. Any other value indicates an error occurred. Each number dialed will have a corresponding output of the form: [###]SERVICE:NUMBER Where ### is the delivery code, 000 indicates successful delivery other values can be found in sms_error.h

EXAMPLES

sms_client 123456 'Hello 123456'
    Use default service and send message to 123456

sms_client mike 'Hello mike'
    Use default service and send message to number associated with name mike found in one of the resource files.

sms_client mike,angelo 'Hello mike and angelo'
    Use default service and send message to number associated with names mike and angelo found in one of the resource files.

FILES

/etc/sms/sms_addressbook
    The Global addressbook file. Containing names and numbers.

~/.sms_addressbook
    The Local addressbook file. Contains names and numbers which can override those in the Global resource file.

/etc/sms/sms_config
    Containing default service and other sms_client defaults.

/etc/sms/sms_services
    Containing service to protocol mappings.

/etc/sms/sms_modem
    Containing default modem settings.

/etc/sms/services
    Directory containing all services - Each service is denoted by filename (in UPPERCASE) and contains defaults for that service, such as telephone number of service centre, comms params etc.

/etc/sms/smslock
    Lockfile generated when smsclient is running.

/var/log/smslog
    Log file where all messages that are produced are copied.

AUTHOR
Angelo Masci <angelo@styx.demon.co.uk>

VERSION
2.0.7